Bug 201310 - Konqueror won't update favicon
Summary: Konqueror won't update favicon
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-04 09:28 UTC by Frank Wang
Modified: 2008-03-10 04:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 04:28:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Wang 2006-08-04 09:28:42 UTC
Description of problem:
If a website changes its favicon.ico, Konqueor persistently displaying the 
previous one even after restart. Clear cache in settings won't help either.

Version-Release number of selected component (if applicable):
kdebase-3.5.3-0.2.fc4 kdebase-3.5.3-0.4.fc5

How reproducible:
Always

Steps to Reproduce:
1. Create a favicon enabled site
  1) cp /path/to/an/icon /var/www/html/favicon.ico
  2) vi /var/www/html/index.html

<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title>Test favicon</title>
<meta http-equiv="content-type" content="application/xhtml+xml; 
charset=utf-8" />
<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
<link rel="icon" href="favicon.ico" type="image/x-icon" />
</head>
<body>
<p>Test favicon</p>
</body>
</html>

  3) service httpd start

2. Browse the page using Konqueror, the icon should be displayed in address 
bar as expected.
3. Change the favicon file and browse again 
  1) cp /path/to/another/icon /var/www/html/favicon.ico
  2) Restart Konqueror and browse the same page again.
  
Actual results:
The icon displayed is still the previous one.

Expected results:
The icon displayed should be the updated one.

Additional info:

Comment 1 Christian Iseli 2007-01-20 00:14:09 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 petrosyan 2008-03-10 04:28:32 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.